<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title th:text="${job.getPositionName()}"></title>

    <style>
        .container{
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            background: #f5f5f5;

        }

        .box{
            width: 800px;
            border-radius: 20px;
            background: #fff;
            display: flex;
            flex-direction: column;
            row-gap: 10px;
            padding: 20px;
        }

        .boxTop{
            display: flex;
            flex-direction: row;
            justify-content: space-between;
        }

        .boxTop h2{
            margin: 0;
            font-size: 32px;
        }

        .boxTop button{
            background: #02c770;
            color: white;
            font-size: 18px;
            padding: 7px 50px;
            border: none;
            border-radius: 5px;
            outline: none;
        }

        .boxUnderTop{
            display: flex;
            flex-direction: row;
            justify-content: flex-start;
            column-gap: 10px;
        }

        .boxUnderTop img{
            width: 50px;
            height: 50px;
        }

        .boxUnderTop p{
            margin: 0;
            font-size: 24px;
            padding-top: 13px;
            color: #777273;
        }

        .boxMiddle{
            display: flex;
            flex-direction: column;
            justify-content: start;
            row-gap: 5px;
            margin-top: 20px;
            margin-bottom: 20px;
        }

        .boxMiddle p{
            margin: 0;
            font-size: 18px;
            color: #777273;
        }

        .boxBottom{
            display: flex;
            flex-direction: column;
            justify-content: start;
            row-gap: 5px;
        }

        .boxBottom h3{
            margin: 0;
            font-size: 24px;
            color: black;
        }

        .boxBottom p{
            margin: 0;
            font-size: 18px;
            color: #777273;
        }

        .boxArchive{
            display: flex;
            flex-direction: row;
            justify-content: start;
            column-gap: 20px;
        }

        .boxArchive p{
            margin: 0;
            font-size: 18px;
            color: #777273;
        }

        .boxArchive button{
            background: #575757;
            color: white;
            font-size: 14px;
            padding: 4px 7px ;
            border: none;
            border-radius: 5px;
            outline: none;
        }

    </style>
</head>
<body class="container">

    <div class="box">
        <form class="boxTop" th:action="${job.getUrl()}">
            <h2 th:text="${job.getPositionName()}"></h2>
            <button type="submit">Apply</button>
        </form>
        <div class="boxUnderTop">
            <img th:src="${job.getOrganizationLogo()}" alt="logo">
            <p th:text="${job.getOrganizationName()}"></p>
        </div>
        <div class="boxMiddle">
            <p th:text="${job.getJobFunction()}"></p>
            <p th:text="${job.getLocation()}"></p>
            <p style="color: #9f979c" th:text="${'Posted on ' + job.toFormatCreatedAt()}"></p>
        </div>

        <div class="boxBottom">
            <h3 >Describe</h3>
            <p th:utext="${job.getDescription()}"></p>
        </div>
        <form class="boxArchive"  th:unless="${isArchive}" th:method="post" th:action="@{/jobs}">
            <p>Not archive</p>

            <input type="hidden" name="id" th:value="${job.getObjectID()}">

            <button >Archive</button>

        </form>

        <form th:if="${isArchive}" class="boxArchive" th:method="delete" th:action="@{/jobs/{id}(id=${job.getObjectID()})}">
            <p >Is archive</p>
            <input type="hidden" name="id" th:value="${job.getObjectID()}">
            <button>Unarchive</button>
        </form>
    </div>
</body>
</html>